#!/bin/bash

#----- setup

. ./param.sh
[[ -s ./param2.sh ]] && . ./param2.sh
. ./bin/setup.sh

#----- configuration

ASK_LANGUAGE=1	# ask for dialog language
ASK_MSGLANG=1	# ask for game message language
ASK_TRACKLANG=1	# ask for track name language
ASK_ISOMODE=1	# ask for image output format
ASK_SPLITISO=0	# ask for split images
ASK_SAVEGAME=1	# ask for alternate savegame

ENABLE_RIIV=1	# Mode of Riivolution support
		#   0: disabled
		#   1: MKWii: full patch mode, original image needed
		#   2: MKWii: replace file only distribution
		#   3: Any game: auto create a riivolution setup
		#   4: Any game: use ./riivolution.xml as control file
		#	and PATCH/files/... as data base. Both will be copied
		#	and renamemd to the 'riiv-sd-card' directory.
		#   5: Setup like mode #4 and call script "./riivolution.sh NAME"
		#	to create the riivolution pack.

ask_config	# execute query

#----- create images

job_mkw 3>&2 2>&1 | tee "$LOGDIR/create-$(date +'%F-%H%M%S').log"
exit 0
